Page MenuHomePhabricator

[globalisel][docs] Add KnownBits Analysis documentation
ClosedPublic

Authored by dsanders on Oct 30 2019, 2:26 PM.

Details

Summary

This is largely based off of the slides from the keynote

Depends on D69545

Diff Detail

Event Timeline

dsanders created this revision.Oct 30 2019, 2:26 PM
Herald added a project: Restricted Project. · View Herald TranscriptOct 30 2019, 2:26 PM
arsenm accepted this revision.Nov 1 2019, 12:47 PM
arsenm added inline comments.
llvm/docs/GlobalISel/KnownBits.rst
6

Typo passs

This revision is now accepted and ready to land.Nov 1 2019, 12:47 PM
rovka added inline comments.Nov 4 2019, 1:06 AM
llvm/docs/GlobalISel/KnownBits.rst
6

Nit: What exactly does "such transformations" refer to? It sounds a bit weird to use this in the first sentence of the document.

dsanders updated this revision to Diff 227742.Nov 4 2019, 10:55 AM

Fix the two nits.
Also s/llvm-mir-body/none/g as the upstream bot treats warnings as errors.

dsanders marked 3 inline comments as done.Nov 4 2019, 10:57 AM
dsanders added inline comments.
llvm/docs/GlobalISel/KnownBits.rst
6

I got a bit lazy with the copy/pasting here. The original slides introduced an example first but this document does that later.

dsanders updated this revision to Diff 227750.Nov 4 2019, 11:19 AM
dsanders marked an inline comment as done.

s/llvm-mir-body/none/g properly

rovka accepted this revision.Nov 5 2019, 12:48 AM

LGTM

llvm/docs/GlobalISel/KnownBits.rst
6

Still a typo :P should be "passes".

dsanders marked 2 inline comments as done.Nov 5 2019, 9:59 AM
dsanders added inline comments.
llvm/docs/GlobalISel/KnownBits.rst
6

Ugh, that's what I get for context switching so much. Fixed it in the push, Thanks

This revision was automatically updated to reflect the committed changes.
dsanders marked an inline comment as done.